- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_netbios – Manage NetBIOS over TCP/IP settings on Windows

New in version 2.9.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Enables or disables NetBIOS on Windows network adapters.

- Can be used to protect a system against NBT-NS poisoning and avoid NBNS broadcast storms.

- Settings can be applied system wide or per adapter.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
adapter_names list |  | List of adapter names for which to manage NetBIOS settings. If this option is omitted then configuration is applied to all adapters on the system. The adapter name used is the connection caption in the Network Control Panel or via `Get-NetAdapter`, eg `Ethernet 2`.
state string / required | Choices: enabled disabled default | Whether NetBIOS should be enabled, disabled, or default (use setting from DHCP server or if static IP address is assigned enable NetBIOS).

## Notes

Note

- Changing NetBIOS settings does not usually require a reboot and will take effect immediately.

- UDP port 137/138/139 will no longer be listening once NetBIOS is disabled.

## Examples

    - name: Disable NetBIOS system wide
      win_netbios:
        state: disabled

    - name: Disable NetBIOS on Ethernet2
      win_netbios:
        state: disabled
        adapter_names:
          - Ethernet2

    - name: Enable NetBIOS on Public and Backup adapters
      win_netbios:
        state: enabled
        adapter_names:
          - Public
          - Backup

    - name: Set NetBIOS to system default on all adapters
      win_netbios:
        state: default

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
reboot_required boolean | always | Boolean value stating whether a system reboot is required. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Thomas Moore (@tmmruk)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.